---
lang: en
title: 'API docs: filter.where'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.where.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [Where](./filter.where.md)

## Where type

Where clause

**Signature:**

```typescript
export type Where<MT extends object = AnyObject> = Condition<MT> | AndClause<MT> | OrClause<MT>;
```
**References:** [Condition](./filter.condition.md)<!-- -->, [AndClause](./filter.andclause.md)<!-- -->, [OrClause](./filter.orclause.md)

## Example


```ts
{
  name: {inq: ['John', 'Mary']},
  status: 'ACTIVE'
  and: [...],
  or: [...],
}
```


